Bullet Collision Detection & Physics Library: btCompoundFromGimpactShape Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btCompoundFromGimpactShape Class Reference

`#include <btCompoundFromGimpact.h>`

Inheritance diagram for btCompoundFromGimpactShape:
[legend]
Collaboration diagram for btCompoundFromGimpactShape:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
virtual | ~btCompoundFromGimpactShape ()
Public Member Functions inherited from btCompoundShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btCompoundShape (bool enableDynamicAabbTree=true, const int initialChildCapacity=0)
virtual | ~btCompoundShape ()
void | addChildShape (const btTransform &localTransform, btCollisionShape *shape)
virtual void | removeChildShape (btCollisionShape *shape)
| Remove all children shapes that contain the specified shape. More...
void | removeChildShapeByIndex (int childShapeindex)
int | getNumChildShapes () const
btCollisionShape * | getChildShape (int index)
const btCollisionShape * | getChildShape (int index) const
btTransform & | getChildTransform (int index)
const btTransform & | getChildTransform (int index) const
void | updateChildTransform (int childIndex, const btTransform &newChildTransform, bool shouldRecalculateLocalAabb=true)
| set a new transform for a child, and update internal data structures (local aabb and dynamic tree) More...
btCompoundShapeChild * | getChildList ()
virtual void | getAabb (const btTransform &t, btVector3 &aabbMin, btVector3 &aabbMax) const
| getAabb's default implementation is brute force, expected derived classes to implement a fast dedicated version More...
virtual void | recalculateLocalAabb ()
| Re-calculate the local Aabb. More...
virtual void | setLocalScaling (const btVector3 &scaling)
virtual const btVector3 & | getLocalScaling () const
virtual void | calculateLocalInertia (btScalar mass, btVector3 &inertia) const
virtual void | setMargin (btScalar margin)
virtual btScalar | getMargin () const
virtual const char * | getName () const
const btDbvt * | getDynamicAabbTree () const
btDbvt * | getDynamicAabbTree ()
void | createAabbTreeFromChildren ()
void | calculatePrincipalAxisTransform (const btScalar *masses, btTransform &principal, btVector3 &inertia) const
| computes the exact moment of inertia and the transform from the coordinate system defined by the principal axes of the moment of inertia and the center of mass to the current coordinate system. More...
int | getUpdateRevision () const
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure) More...
Public Member Functions inherited from btCollisionShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btCollisionShape ()
virtual | ~btCollisionShape ()
virtual void | getAabb (const btTransform &t, btVector3 &aabbMin, btVector3 &aabbMax) const =0
| getAabb returns the axis aligned bounding box in the coordinate frame of the given transform t. More...
virtual void | getBoundingSphere (btVector3 &center, btScalar &radius) const
virtual btScalar | getAngularMotionDisc () const
| getAngularMotionDisc returns the maximum radius needed for Conservative Advancement to handle time-of-impact with rotations. More...
virtual btScalar | getContactBreakingThreshold (btScalar defaultContactThresholdFactor) const
void | calculateTemporalAabb (const btTransform &curTrans, const btVector3 &linvel, const btVector3 &angvel, btScalar timeStep, btVector3 &temporalAabbMin, btVector3 &temporalAabbMax) const
| calculateTemporalAabb calculates the enclosing aabb for the moving object over interval [0..timeStep) result is conservative More...
bool | isPolyhedral () const
bool | isConvex2d () const
bool | isConvex () const
bool | isNonMoving () const
bool | isConcave () const
bool | isCompound () const
bool | isSoftBody () const
bool | isInfinite () const
| isInfinite is used to catch simulation error (aabb check) More...
virtual void | setLocalScaling (const btVector3 &scaling)=0
virtual const btVector3 & | getLocalScaling () const =0
virtual void | calculateLocalInertia (btScalar mass, btVector3 &inertia) const =0
virtual const char * | getName () const =0
int | getShapeType () const
virtual btVector3 | getAnisotropicRollingFrictionDirection () const
| the getAnisotropicRollingFrictionDirection can be used in combination with setAnisotropicFriction See Bullet/Demos/RollingFrictionDemo for an example More...
virtual void | setMargin (btScalar margin)=0
virtual btScalar | getMargin () const =0
void | setUserPointer (void *userPtr)
| optional user data pointer More...
void * | getUserPointer () const
void | setUserIndex (int index)
int | getUserIndex () const
void | setUserIndex2 (int index)
int | getUserIndex2 () const
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure) More...
virtual void | serializeSingleShape (btSerializer *serializer) const

## Additional Inherited Members
Protected Attributes inherited from btCompoundShape
btAlignedObjectArray< btCompoundShapeChild > | m_children
btVector3 | m_localAabbMin
btVector3 | m_localAabbMax
btDbvt * | m_dynamicAabbTree
int | m_updateRevision
| increment m_updateRevision when adding/removing/replacing child shapes, so that some caches can be updated More...
btScalar | m_collisionMargin
btVector3 | m_localScaling
Protected Attributes inherited from btCollisionShape
int | m_shapeType
void * | m_userPointer
int | m_userIndex
int | m_userIndex2

## Detailed Description

Definition at line 8 of file btCompoundFromGimpact.h.

## Constructor & Destructor Documentation

## ◆ ~btCompoundFromGimpactShape()

virtual btCompoundFromGimpactShape::~btCompoundFromGimpactShape | ( |  | ) |
| inlinevirtual

Definition at line 14 of file btCompoundFromGimpact.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btCompoundFromGimpactShape::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

The documentation for this class was generated from the following file:

- btCompoundFromGimpact.h